Package fr.gouv.vitam.functionaltest.cucumber.step

# Class AuditStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.AuditStep

public class AuditStep extends CommonStep
AuditStep class

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `audit_result_is_success()`
  `void`
  `evidenceAudit()`
  `void`
  `je_lance_l_audit_en_service_producteur(String action, String originatingAgnecy)`
  `void`
  `je_veux_faire_l_audit_des_objets_de_tenant(String action, int tenant)`
  `void`
  `je_veux_faire_l_audit_des_objets_par_requete(String action)`
  `void`
  `rectificationAudit(String id)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuditStep

    public AuditStep(World world)

- ## Method Details

  - ### evidenceAudit

    @When("^je lance un audit de coh\u00e9rence$") public void evidenceAudit() throws VitamException
    Throws:
      `VitamException`

  - ### rectificationAudit

    @When("^je lance un audit rectificatif sur l\'operation (.*)") public void rectificationAudit(String id) throws VitamException
    Throws:
      `VitamException`

  - ### je_lance_l_audit_en_service_producteur

    @When("^je veux faire un audit sur (.*) des objets par service producteur \"([^\"]*)\"$") public void je_lance_l_audit_en_service_producteur(String action, String originatingAgnecy) throws Throwable
    Throws:
      `Throwable`

  - ### je_veux_faire_l_audit_des_objets_de_tenant

    @When("^je veux faire un audit sur (.*) des objets par tenant (\\d+)$") public void je_veux_faire_l_audit_des_objets_de_tenant(String action, int tenant) throws Throwable
    Throws:
      `Throwable`

  - ### je_veux_faire_l_audit_des_objets_par_requete

    @When("^je veux faire un audit sur (.*) des objets li\u00e9s aux unit\u00e9s archivistiques de la requ\u00eate$") public void je_veux_faire_l_audit_des_objets_par_requete(String action) throws Throwable
    Throws:
      `Throwable`

  - ### audit_result_is_success

    @Then("^le r\u00e9ultat de l\'audit est succ\u00e8s$") public void audit_result_is_success()